app:
  eureka-server: localhost
  services:
    image-api:
      url: https://file-service
keycloak:
  uri: 'https://localhost:8443'
  realm: "skillbox-microservices"
logging:
  pattern:
    level: '"%5p [${spring.application.name:},%X{traceId:-},%X{spanId:-}]"'
  level:
    org.springfaramework: DEBUG
    org.springframework.web.client: DEBUG
    org.springframework.security.oauth2.client: DEBUG
    org.springframework.security.oauth2.server.resource: DEBUG
spring:
  kafka:
    jaas:
      enabled: true
    properties:
      security:
        protocol: "SASL_SSL"
      sasl:
        mechanism: PLAIN
        jaas:
          config: org.apache.kafka.common.security.plain.PlainLoginModule required username="admin" password="admin-secret";
    bootstrap-servers: "localhost:9094"
    ssl:
      trust-store-location: classpath:statistics-service.truststore.jks
      trust-store-password: statistics-service-password
      key-store-location: classpath:statistics-service.keystore.jks
      key-store-password: statistics-service-password
    client-id: "demo-producer"
    producer:
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.springframework.kafka.support.serializer.JsonSerializer
  liquibase:
    liquibase-schema: public
    default-schema: users_schema
    user: myuser
    password: mypass
    url: jdbc:postgresql://localhost:5001/users?currentSchema=users_schema?ssl=true&sslmode=require
  security:
    oauth2:
      resourceserver:
        jwt:
          issuer-uri: '${keycloak.uri}/realms/${keycloak.realm}'
          jwk-set-uri: '${keycloak.uri}/realms/${keycloak.realm}/protocol/openid-connect/certs'
  application:
    name: user-service
#    zipkin:
#      base-url: http://localhost:9411
  datasource:
    driver-class-name: org.postgresql.Driver
    password: mypass
    url: jdbc:postgresql://localhost:5001/users?currentSchema=users_schema?ssl=true&sslmode=require
    username: myuser
  jpa:
    database: postgresql
    generate-ddl: false
    hibernate:
      ddl-auto: validate
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
        default_schema: users_schema
    show-sql: true
springdoc:
  swagger-ui:
    path: /swagger-ui.html
eureka:
  instance:
    hostname: localhost
    securePort: ${server.port}
    securePortEnabled: true
    nonSecurePortEnabled: false
    homePageUrl: https://${eureka.instance.hostname}:${server.port}/
    statusPageUrl: https://${eureka.instance.hostname}:${server.port}/admin/info
    prefer-ip-address: false
  client:
    register-with-eureka: 'true'
    fetch-registry: 'true'
    serviceUrl:
      defaultZone: https://eureka:password@${app.eureka-server}:8761/eureka
server:
  port: '8843'
  ssl:
    enabled: true
    key-store: classpath:user-service.keystore.jks
    key-store-password: user-service-password
jwt:
  auth:
    converter:
      resource-id: microservice-auth
      principal-attribute: preferred_username
statistics_events:
  topic: statistics_events